Write up a Request for Comment for a x_analytics field that distinguishes sources of automated traffic
Closed, ResolvedPublic2 Story Points

Description

We've been talking a lot about how to distinguish automated traffic in search - not so we can exclude it but so we can tag it. At the moment our options are maintaining and expanding hideously complex regular expressions, manually hand-coding or giving up.

What if we asked (Wikimedia-specific) clients that were making automated requests to provide something that could be written to the x_analytics field? It's already used by some clients (which suggests it's viable) and because it's clearly key-value separated, it's a lot easier and less computationally complex to handle than user agents, which require painful regular expressions.

Oliver will write up a discussion draft to circulate.

Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Needs Triage.
Ironholds claimed this task.
Ironholds added a project: Discovery.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 3 2015, 10:40 PM
Ironholds moved this task from Needs triage to Analysis on the Discovery board.Aug 4 2015, 8:14 AM
Ironholds renamed this task from Add a custom field to x_analytics that distinguishes sources of automated traffic to Discuss a custom field for x_analytics that distinguishes sources of automated traffic.Aug 4 2015, 8:15 PM
Ironholds updated the task description. (Show Details)
Ironholds set Security to None.
Ironholds edited a custom field.
Deskana triaged this task as Normal priority.Aug 11 2015, 8:07 PM
Deskana added a subscriber: Deskana.
ksmith removed Ironholds as the assignee of this task.Aug 11 2015, 8:14 PM
Ironholds moved this task from Backlog to In progress on the Discovery-Analysis (Current work) board.
mpopov renamed this task from Discuss a custom field for x_analytics that distinguishes sources of automated traffic to Write up a Request for Comment for a x_analytics field that distinguishes sources of automated traffic.Aug 24 2015, 4:23 PM
Deskana closed this task as Resolved.Aug 31 2015, 6:11 PM

Resolved per the above.